package com.jianshui.system.mapper;

import java.util.List;

import com.jianshui.system.domain.ServiceManage;
import org.apache.ibatis.annotations.Param;

/**
 * 服务管理Mapper接口
 *
 * @author Gong Quanlin
 * @date 2022-03-27
 */
public interface ServiceManageMapper {
    /**
     * 查询服务管理
     *
     * @param id 服务管理主键
     * @return 服务管理
     */
    public ServiceManage selectServiceManageById(Long id);

    /**
     * 查询服务管理列表
     *
     * @param serviceManage 服务管理
     * @return 服务管理集合
     */
    public List<ServiceManage> selectServiceManageList(ServiceManage serviceManage);

    /**
     * 新增服务管理
     *
     * @param serviceManage 服务管理
     * @return 结果
     */
    public int insertServiceManage(ServiceManage serviceManage);

    /**
     * 修改服务管理
     *
     * @param serviceManage 服务管理
     * @return 结果
     */
    public int updateServiceManage(ServiceManage serviceManage);

    /**
     * 更新次剩余次数
     *
     * @param serviceManage
     * @return
     */
    public int updateSurplus(ServiceManage serviceManage);

    /**
     * 删除服务管理
     *
     * @param id 服务管理主键
     * @return 结果
     */
    public int deleteServiceManageById(Long id);

    /**
     * 批量删除服务管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceManageByIds(Long[] ids);

    public ServiceManage selectServiceManageByCompanyIdAndServiceKey(@Param("companyId") Long companyId, @Param("serviceKey") String serviceKey);
}
